summaryrefslogtreecommitdiff
path: root/.expeditor/update_version.sh
diff options
context:
space:
mode:
authorTim Smith <tsmith@chef.io>2018-12-02 21:18:14 -0800
committerTim Smith <tsmith@chef.io>2018-12-02 21:18:14 -0800
commitd5751edf1a9238b20a20d63d54b507591f7831f9 (patch)
treee75eaa66412cfb0a81524d37ba1a647cf9e593ab /.expeditor/update_version.sh
parent3f2897db77211a946c71251e37661677da45b51a (diff)
downloadmixlib-shellout-d5751edf1a9238b20a20d63d54b507591f7831f9.tar.gz
Wire up Expeditor
Signed-off-by: Tim Smith <tsmith@chef.io>
Diffstat (limited to '.expeditor/update_version.sh')
-rwxr-xr-x.expeditor/update_version.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/.expeditor/update_version.sh b/.expeditor/update_version.sh
new file mode 100755
index 0000000..c79a54b
--- /dev/null
+++ b/.expeditor/update_version.sh
@@ -0,0 +1,14 @@
+#!/bin/sh
+#
+# After a PR merge, Chef Expeditor will bump the PATCH version in the VERSION file.
+# It then executes this file to update any other files/components with that new version.
+#
+
+set -evx
+
+VERSION=$(cat VERSION)
+
+sed -i -r "s/^(\\s*)VERSION = \".+\"/\\1VERSION = \"$VERSION\"/" lib/mixlib/shellout/version.rb
+
+# Once Expeditor finshes executing this script, it will commit the changes and push
+# the commit as a new tag corresponding to the value in the VERSION file.